package com.inspect.metadata.prodevmnt.domain.vo;

import com.inspect.base.core.web.domain.TreeEntity;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class DevicetypeTreeSelectVo extends TreeEntity {
    private static final long serialVersionUID = 1L;
    private Long devicetypeId;
    private String powerMainEquFlag;
    private String devicetypeName;
    private String devicetypeCode;
    private String phaseNum;
    private String phase;
    private String status;
    private String delFlag;
    private String professionType;
    private String parentName;
    private Long parentId;
    private List<?> children = new ArrayList();
    private int level;

    public Long getDevicetypeId() {
        return this.devicetypeId;
    }

    public void setDevicetypeId(Long devicetypeId) {
        this.devicetypeId = devicetypeId;
    }

    public String getPowerMainEquFlag() {
        return this.powerMainEquFlag;
    }

    public void setPowerMainEquFlag(String powerMainEquFlag) {
        this.powerMainEquFlag = powerMainEquFlag;
    }

    public String getDevicetypeName() {
        return this.devicetypeName;
    }

    public void setDevicetypeName(String devicetypeName) {
        this.devicetypeName = devicetypeName;
    }

    public String getDevicetypeCode() {
        return this.devicetypeCode;
    }

    public void setDevicetypeCode(String devicetypeCode) {
        this.devicetypeCode = devicetypeCode;
    }

    public String getPhaseNum() {
        return this.phaseNum;
    }

    public void setPhaseNum(String phaseNum) {
        this.phaseNum = phaseNum;
    }

    public String getPhase() {
        return this.phase;
    }

    public void setPhase(String phase) {
        this.phase = phase;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getProfessionType() {
        return this.professionType;
    }

    public void setProfessionType(String professionType) {
        this.professionType = professionType;
    }

    public String getParentName() {
        return this.parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public Long getParentId() {
        return this.parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public List<?> getChildren() {
        return this.children;
    }

    public void setChildren(List<?> children) {
        this.children = children;
    }

    public int getLevel() {
        return this.level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String toString() {
        return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("devicetypeId", this.getDevicetypeId()).append("parentId", this.getParentId()).append("powerMainEquFlag", this.getPowerMainEquFlag()).append("ancestors", this.getAncestors()).append("devicetypeName", this.getDevicetypeName()).append("devicetypeCode", this.getDevicetypeCode()).append("phaseNum", this.getPhaseNum()).append("phase", this.getPhase()).append("status", this.getStatus()).append("delFlag", this.getDelFlag()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).append("professionType", this.getProfessionType()).toString();
    }
}
